Skip to main content
PATCH
/
v1
/
projects
/
{projectId}
/
edges
/
{edgeId}
Update edge
curl --request PATCH \
  --url https://api.example.com/v1/projects/{projectId}/edges/{edgeId} \
  --header 'Content-Type: application/json' \
  --data '
{
  "sourceHandle": "<string>",
  "targetHandle": "<string>",
  "edgeType": "<string>"
}
'
projectId
string
required
Project UUID.
edgeId
string
required
Edge UUID.
sourceHandle
string
One of top, bottom, left, right.
targetHandle
string
One of top, bottom, left, right.
edgeType
string
Custom edge type label.
curl -X PATCH https://api.getkommit.ai/v1/projects/a1b2c3d4-e5f6-7890-abcd-ef1234567890/edges/e1a2b3c4-d5e6-7890-abcd-ef1234567890 \
  -H "Authorization: Bearer km_your_api_key" \
  -H "Content-Type: application/json" \
  -d '{ "edgeType": "composition" }'